package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyZjxxmxbExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyZjxxmxbExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andZjxxidIsNull() {
            addCriterion("ZJXXID is null");
            return (Criteria) this;
        }

        public Criteria andZjxxidIsNotNull() {
            addCriterion("ZJXXID is not null");
            return (Criteria) this;
        }

        public Criteria andZjxxidEqualTo(String value) {
            addCriterion("ZJXXID =", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidNotEqualTo(String value) {
            addCriterion("ZJXXID <>", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidGreaterThan(String value) {
            addCriterion("ZJXXID >", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidGreaterThanOrEqualTo(String value) {
            addCriterion("ZJXXID >=", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidLessThan(String value) {
            addCriterion("ZJXXID <", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidLessThanOrEqualTo(String value) {
            addCriterion("ZJXXID <=", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidLike(String value) {
            addCriterion("ZJXXID like", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidNotLike(String value) {
            addCriterion("ZJXXID not like", value, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidIn(List<String> values) {
            addCriterion("ZJXXID in", values, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidNotIn(List<String> values) {
            addCriterion("ZJXXID not in", values, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidBetween(String value1, String value2) {
            addCriterion("ZJXXID between", value1, value2, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andZjxxidNotBetween(String value1, String value2) {
            addCriterion("ZJXXID not between", value1, value2, "zjxxid");
            return (Criteria) this;
        }

        public Criteria andSxhIsNull() {
            addCriterion("SXH is null");
            return (Criteria) this;
        }

        public Criteria andSxhIsNotNull() {
            addCriterion("SXH is not null");
            return (Criteria) this;
        }

        public Criteria andSxhEqualTo(Short value) {
            addCriterion("SXH =", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotEqualTo(Short value) {
            addCriterion("SXH <>", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThan(Short value) {
            addCriterion("SXH >", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThanOrEqualTo(Short value) {
            addCriterion("SXH >=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThan(Short value) {
            addCriterion("SXH <", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThanOrEqualTo(Short value) {
            addCriterion("SXH <=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhIn(List<Short> values) {
            addCriterion("SXH in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotIn(List<Short> values) {
            addCriterion("SXH not in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhBetween(Short value1, Short value2) {
            addCriterion("SXH between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotBetween(Short value1, Short value2) {
            addCriterion("SXH not between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andJydhIsNull() {
            addCriterion("JYDH is null");
            return (Criteria) this;
        }

        public Criteria andJydhIsNotNull() {
            addCriterion("JYDH is not null");
            return (Criteria) this;
        }

        public Criteria andJydhEqualTo(String value) {
            addCriterion("JYDH =", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhNotEqualTo(String value) {
            addCriterion("JYDH <>", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhGreaterThan(String value) {
            addCriterion("JYDH >", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhGreaterThanOrEqualTo(String value) {
            addCriterion("JYDH >=", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhLessThan(String value) {
            addCriterion("JYDH <", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhLessThanOrEqualTo(String value) {
            addCriterion("JYDH <=", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhLike(String value) {
            addCriterion("JYDH like", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhNotLike(String value) {
            addCriterion("JYDH not like", value, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhIn(List<String> values) {
            addCriterion("JYDH in", values, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhNotIn(List<String> values) {
            addCriterion("JYDH not in", values, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhBetween(String value1, String value2) {
            addCriterion("JYDH between", value1, value2, "jydh");
            return (Criteria) this;
        }

        public Criteria andJydhNotBetween(String value1, String value2) {
            addCriterion("JYDH not between", value1, value2, "jydh");
            return (Criteria) this;
        }

        public Criteria andJybzbhIsNull() {
            addCriterion("JYBZBH is null");
            return (Criteria) this;
        }

        public Criteria andJybzbhIsNotNull() {
            addCriterion("JYBZBH is not null");
            return (Criteria) this;
        }

        public Criteria andJybzbhEqualTo(String value) {
            addCriterion("JYBZBH =", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhNotEqualTo(String value) {
            addCriterion("JYBZBH <>", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhGreaterThan(String value) {
            addCriterion("JYBZBH >", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhGreaterThanOrEqualTo(String value) {
            addCriterion("JYBZBH >=", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhLessThan(String value) {
            addCriterion("JYBZBH <", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhLessThanOrEqualTo(String value) {
            addCriterion("JYBZBH <=", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhLike(String value) {
            addCriterion("JYBZBH like", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhNotLike(String value) {
            addCriterion("JYBZBH not like", value, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhIn(List<String> values) {
            addCriterion("JYBZBH in", values, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhNotIn(List<String> values) {
            addCriterion("JYBZBH not in", values, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhBetween(String value1, String value2) {
            addCriterion("JYBZBH between", value1, value2, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJybzbhNotBetween(String value1, String value2) {
            addCriterion("JYBZBH not between", value1, value2, "jybzbh");
            return (Criteria) this;
        }

        public Criteria andJyxmIsNull() {
            addCriterion("JYXM is null");
            return (Criteria) this;
        }

        public Criteria andJyxmIsNotNull() {
            addCriterion("JYXM is not null");
            return (Criteria) this;
        }

        public Criteria andJyxmEqualTo(String value) {
            addCriterion("JYXM =", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmNotEqualTo(String value) {
            addCriterion("JYXM <>", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmGreaterThan(String value) {
            addCriterion("JYXM >", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmGreaterThanOrEqualTo(String value) {
            addCriterion("JYXM >=", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmLessThan(String value) {
            addCriterion("JYXM <", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmLessThanOrEqualTo(String value) {
            addCriterion("JYXM <=", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmLike(String value) {
            addCriterion("JYXM like", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmNotLike(String value) {
            addCriterion("JYXM not like", value, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmIn(List<String> values) {
            addCriterion("JYXM in", values, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmNotIn(List<String> values) {
            addCriterion("JYXM not in", values, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmBetween(String value1, String value2) {
            addCriterion("JYXM between", value1, value2, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyxmNotBetween(String value1, String value2) {
            addCriterion("JYXM not between", value1, value2, "jyxm");
            return (Criteria) this;
        }

        public Criteria andJyjlIsNull() {
            addCriterion("JYJL is null");
            return (Criteria) this;
        }

        public Criteria andJyjlIsNotNull() {
            addCriterion("JYJL is not null");
            return (Criteria) this;
        }

        public Criteria andJyjlEqualTo(String value) {
            addCriterion("JYJL =", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlNotEqualTo(String value) {
            addCriterion("JYJL <>", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlGreaterThan(String value) {
            addCriterion("JYJL >", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlGreaterThanOrEqualTo(String value) {
            addCriterion("JYJL >=", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlLessThan(String value) {
            addCriterion("JYJL <", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlLessThanOrEqualTo(String value) {
            addCriterion("JYJL <=", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlLike(String value) {
            addCriterion("JYJL like", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlNotLike(String value) {
            addCriterion("JYJL not like", value, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlIn(List<String> values) {
            addCriterion("JYJL in", values, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlNotIn(List<String> values) {
            addCriterion("JYJL not in", values, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlBetween(String value1, String value2) {
            addCriterion("JYJL between", value1, value2, "jyjl");
            return (Criteria) this;
        }

        public Criteria andJyjlNotBetween(String value1, String value2) {
            addCriterion("JYJL not between", value1, value2, "jyjl");
            return (Criteria) this;
        }

        public Criteria andZjbgfjIsNull() {
            addCriterion("ZJBGFJ is null");
            return (Criteria) this;
        }

        public Criteria andZjbgfjIsNotNull() {
            addCriterion("ZJBGFJ is not null");
            return (Criteria) this;
        }

        public Criteria andZjbgfjEqualTo(String value) {
            addCriterion("ZJBGFJ =", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjNotEqualTo(String value) {
            addCriterion("ZJBGFJ <>", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjGreaterThan(String value) {
            addCriterion("ZJBGFJ >", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjGreaterThanOrEqualTo(String value) {
            addCriterion("ZJBGFJ >=", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjLessThan(String value) {
            addCriterion("ZJBGFJ <", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjLessThanOrEqualTo(String value) {
            addCriterion("ZJBGFJ <=", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjLike(String value) {
            addCriterion("ZJBGFJ like", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjNotLike(String value) {
            addCriterion("ZJBGFJ not like", value, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjIn(List<String> values) {
            addCriterion("ZJBGFJ in", values, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjNotIn(List<String> values) {
            addCriterion("ZJBGFJ not in", values, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjBetween(String value1, String value2) {
            addCriterion("ZJBGFJ between", value1, value2, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andZjbgfjNotBetween(String value1, String value2) {
            addCriterion("ZJBGFJ not between", value1, value2, "zjbgfj");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzIsNull() {
            addCriterion("BZYQPDGZ is null");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzIsNotNull() {
            addCriterion("BZYQPDGZ is not null");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzEqualTo(String value) {
            addCriterion("BZYQPDGZ =", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzNotEqualTo(String value) {
            addCriterion("BZYQPDGZ <>", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzGreaterThan(String value) {
            addCriterion("BZYQPDGZ >", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzGreaterThanOrEqualTo(String value) {
            addCriterion("BZYQPDGZ >=", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzLessThan(String value) {
            addCriterion("BZYQPDGZ <", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzLessThanOrEqualTo(String value) {
            addCriterion("BZYQPDGZ <=", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzLike(String value) {
            addCriterion("BZYQPDGZ like", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzNotLike(String value) {
            addCriterion("BZYQPDGZ not like", value, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzIn(List<String> values) {
            addCriterion("BZYQPDGZ in", values, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzNotIn(List<String> values) {
            addCriterion("BZYQPDGZ not in", values, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzBetween(String value1, String value2) {
            addCriterion("BZYQPDGZ between", value1, value2, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andBzyqpdgzNotBetween(String value1, String value2) {
            addCriterion("BZYQPDGZ not between", value1, value2, "bzyqpdgz");
            return (Criteria) this;
        }

        public Criteria andJyjgIsNull() {
            addCriterion("JYJG is null");
            return (Criteria) this;
        }

        public Criteria andJyjgIsNotNull() {
            addCriterion("JYJG is not null");
            return (Criteria) this;
        }

        public Criteria andJyjgEqualTo(String value) {
            addCriterion("JYJG =", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotEqualTo(String value) {
            addCriterion("JYJG <>", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgGreaterThan(String value) {
            addCriterion("JYJG >", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgGreaterThanOrEqualTo(String value) {
            addCriterion("JYJG >=", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLessThan(String value) {
            addCriterion("JYJG <", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLessThanOrEqualTo(String value) {
            addCriterion("JYJG <=", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLike(String value) {
            addCriterion("JYJG like", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotLike(String value) {
            addCriterion("JYJG not like", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgIn(List<String> values) {
            addCriterion("JYJG in", values, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotIn(List<String> values) {
            addCriterion("JYJG not in", values, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgBetween(String value1, String value2) {
            addCriterion("JYJG between", value1, value2, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotBetween(String value1, String value2) {
            addCriterion("JYJG not between", value1, value2, "jyjg");
            return (Criteria) this;
        }

        public Criteria andDxpdIsNull() {
            addCriterion("DXPD is null");
            return (Criteria) this;
        }

        public Criteria andDxpdIsNotNull() {
            addCriterion("DXPD is not null");
            return (Criteria) this;
        }

        public Criteria andDxpdEqualTo(String value) {
            addCriterion("DXPD =", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdNotEqualTo(String value) {
            addCriterion("DXPD <>", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdGreaterThan(String value) {
            addCriterion("DXPD >", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdGreaterThanOrEqualTo(String value) {
            addCriterion("DXPD >=", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdLessThan(String value) {
            addCriterion("DXPD <", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdLessThanOrEqualTo(String value) {
            addCriterion("DXPD <=", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdLike(String value) {
            addCriterion("DXPD like", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdNotLike(String value) {
            addCriterion("DXPD not like", value, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdIn(List<String> values) {
            addCriterion("DXPD in", values, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdNotIn(List<String> values) {
            addCriterion("DXPD not in", values, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdBetween(String value1, String value2) {
            addCriterion("DXPD between", value1, value2, "dxpd");
            return (Criteria) this;
        }

        public Criteria andDxpdNotBetween(String value1, String value2) {
            addCriterion("DXPD not between", value1, value2, "dxpd");
            return (Criteria) this;
        }

        public Criteria andJcrbmIsNull() {
            addCriterion("JCRBM is null");
            return (Criteria) this;
        }

        public Criteria andJcrbmIsNotNull() {
            addCriterion("JCRBM is not null");
            return (Criteria) this;
        }

        public Criteria andJcrbmEqualTo(String value) {
            addCriterion("JCRBM =", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmNotEqualTo(String value) {
            addCriterion("JCRBM <>", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmGreaterThan(String value) {
            addCriterion("JCRBM >", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmGreaterThanOrEqualTo(String value) {
            addCriterion("JCRBM >=", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmLessThan(String value) {
            addCriterion("JCRBM <", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmLessThanOrEqualTo(String value) {
            addCriterion("JCRBM <=", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmLike(String value) {
            addCriterion("JCRBM like", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmNotLike(String value) {
            addCriterion("JCRBM not like", value, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmIn(List<String> values) {
            addCriterion("JCRBM in", values, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmNotIn(List<String> values) {
            addCriterion("JCRBM not in", values, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmBetween(String value1, String value2) {
            addCriterion("JCRBM between", value1, value2, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrbmNotBetween(String value1, String value2) {
            addCriterion("JCRBM not between", value1, value2, "jcrbm");
            return (Criteria) this;
        }

        public Criteria andJcrmcIsNull() {
            addCriterion("JCRMC is null");
            return (Criteria) this;
        }

        public Criteria andJcrmcIsNotNull() {
            addCriterion("JCRMC is not null");
            return (Criteria) this;
        }

        public Criteria andJcrmcEqualTo(String value) {
            addCriterion("JCRMC =", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcNotEqualTo(String value) {
            addCriterion("JCRMC <>", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcGreaterThan(String value) {
            addCriterion("JCRMC >", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcGreaterThanOrEqualTo(String value) {
            addCriterion("JCRMC >=", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcLessThan(String value) {
            addCriterion("JCRMC <", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcLessThanOrEqualTo(String value) {
            addCriterion("JCRMC <=", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcLike(String value) {
            addCriterion("JCRMC like", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcNotLike(String value) {
            addCriterion("JCRMC not like", value, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcIn(List<String> values) {
            addCriterion("JCRMC in", values, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcNotIn(List<String> values) {
            addCriterion("JCRMC not in", values, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcBetween(String value1, String value2) {
            addCriterion("JCRMC between", value1, value2, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andJcrmcNotBetween(String value1, String value2) {
            addCriterion("JCRMC not between", value1, value2, "jcrmc");
            return (Criteria) this;
        }

        public Criteria andZklblIsNull() {
            addCriterion("ZKLBL is null");
            return (Criteria) this;
        }

        public Criteria andZklblIsNotNull() {
            addCriterion("ZKLBL is not null");
            return (Criteria) this;
        }

        public Criteria andZklblEqualTo(BigDecimal value) {
            addCriterion("ZKLBL =", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblNotEqualTo(BigDecimal value) {
            addCriterion("ZKLBL <>", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblGreaterThan(BigDecimal value) {
            addCriterion("ZKLBL >", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKLBL >=", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblLessThan(BigDecimal value) {
            addCriterion("ZKLBL <", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKLBL <=", value, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblIn(List<BigDecimal> values) {
            addCriterion("ZKLBL in", values, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblNotIn(List<BigDecimal> values) {
            addCriterion("ZKLBL not in", values, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKLBL between", value1, value2, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZklblNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKLBL not between", value1, value2, "zklbl");
            return (Criteria) this;
        }

        public Criteria andZkslIsNull() {
            addCriterion("ZKSL is null");
            return (Criteria) this;
        }

        public Criteria andZkslIsNotNull() {
            addCriterion("ZKSL is not null");
            return (Criteria) this;
        }

        public Criteria andZkslEqualTo(BigDecimal value) {
            addCriterion("ZKSL =", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslNotEqualTo(BigDecimal value) {
            addCriterion("ZKSL <>", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslGreaterThan(BigDecimal value) {
            addCriterion("ZKSL >", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKSL >=", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslLessThan(BigDecimal value) {
            addCriterion("ZKSL <", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKSL <=", value, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslIn(List<BigDecimal> values) {
            addCriterion("ZKSL in", values, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslNotIn(List<BigDecimal> values) {
            addCriterion("ZKSL not in", values, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKSL between", value1, value2, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKSL not between", value1, value2, "zksl");
            return (Criteria) this;
        }

        public Criteria andZkjeIsNull() {
            addCriterion("ZKJE is null");
            return (Criteria) this;
        }

        public Criteria andZkjeIsNotNull() {
            addCriterion("ZKJE is not null");
            return (Criteria) this;
        }

        public Criteria andZkjeEqualTo(BigDecimal value) {
            addCriterion("ZKJE =", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeNotEqualTo(BigDecimal value) {
            addCriterion("ZKJE <>", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeGreaterThan(BigDecimal value) {
            addCriterion("ZKJE >", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKJE >=", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeLessThan(BigDecimal value) {
            addCriterion("ZKJE <", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZKJE <=", value, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeIn(List<BigDecimal> values) {
            addCriterion("ZKJE in", values, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeNotIn(List<BigDecimal> values) {
            addCriterion("ZKJE not in", values, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKJE between", value1, value2, "zkje");
            return (Criteria) this;
        }

        public Criteria andZkjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZKJE not between", value1, value2, "zkje");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}